Subject: Re: placing title in cygwin window
From: Andrew Markebo <[email-masked]>
To: "Peoter Veliki" <[email-masked]>
Cc: <[email-masked]>
Date: 20 Sep 2001 00:14:33 +0200

Ouch hmm must have been my escapes hiding the message, here it comes
in normal text-mode.. for ease up of reading I assume.. Zip file in
previous mail.

/ "Peoter Veliki" <[email-masked]> wrote:
| I seem to just have a title that includes the path, such as ~.  I need to
| have a title, don't ask why.  How can I add one?

Do a prompt something like:

 PROMPT="%{^[];%m:%~^G%}%n@%m:%.<%?> "

It is a bunch of escapes there telling the terminal to put a string in
the title.. Doublecheck when you add it to your login-script that ^[
is ascii 27 and ^G is the ascii for control-g.. whatever it is.. For
more fun, add a, printing the time out to the right.. 

 RPROMPT='%(t.DING!.%D{%H:%M})'

        /Andy

p.s. included as a text-file in a zip so you can hopefully use so we
are sure we get the correct escapes.. 
/ Andrew Markebo <[email-masked]> wrote:
| --
| Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
| Bug reporting:         http://cygwin.com/bugs.html
| Documentation:         http://cygwin.com/docs.html
| FAQ:                   http://cygwin.com/faq/

-- 
 The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/